Bug 150208 - [new port] databases/jasperserver: Open Source Java Reporting Library
[new port] databases/jasperserver: Open Source Java Reporting Library
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Olli Hauer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-02 01:00 UTC by jgh
Modified: 2011-01-24 23:05 UTC (History)
0 users

See Also:


Attachments
file.shar (72.31 KB, text/plain)
2010-09-02 01:00 UTC, jgh
no flags Details
jasperserver.shar.txt (69.99 KB, text/plain; charset=us-ascii)
2010-09-15 22:18 UTC, jhelfman
no flags Details
patch.txt (650 bytes, text/plain; charset=us-ascii)
2010-09-17 18:03 UTC, jhelfman
no flags Details
jasperserver.shar.txt (71.34 KB, text/plain; charset=us-ascii)
2010-09-27 19:37 UTC, jhelfman
no flags Details
jasperserver.shar.txt (72.96 KB, text/plain; charset=us-ascii)
2010-09-29 01:46 UTC, jhelfman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jgh 2010-09-02 01:00:12 UTC

    
Comment 1 jhelfman 2010-09-08 01:43:42 UTC
The only other item I can think of adding to this would be adding:
  
USE_MYSQL=    yes
  
and
  
USE_PGSQL=    yes
  
to the respective defined sections of the Makefile so dependencies are not
broken for databases inclusions.

-- 
Jason Helfman
Comment 2 jhelfman 2010-09-15 22:18:26 UTC
Here is an update shell archive. 
This drops support for postgresql until I can work out some things with the
JasperForge folks for supporting it better non-interactively like the
existing mysql support.

-jgh
Comment 3 jhelfman 2010-09-17 18:03:05 UTC
JasperServer would not startup unless it had read access to the jdbc driver,
so that is added here.

-jgh
Comment 4 jhelfman 2010-09-27 19:37:58 UTC
Attached is the full shell archive of an update that includes all previous
updates.

This adds out-of-the-box mail support for reports. The defaults are set
by the vendor, however they are configurable by using the port.

-jgh
Comment 5 jhelfman 2010-09-29 01:46:44 UTC
Another update. As others before, this includes all previously added
functionality.

This adds a configurable option for session-timeout for the application.
As it is now, this needs to be edited by hand, but this would remove that
need. The default is the vendor supplied value.

-jgh
Comment 6 Olli Hauer freebsd_committer 2010-10-10 00:20:21 UTC
State Changed
From-To: open->feedback

I'll take it 

Jason do you have an idea to get the jdbc driver version 
for the pkg-plist if maven change the version? 

Additional, the maven build will break automatic tinderbox 
build since it downloads ~160MB before it starts to build. 

Can you test the modified port (shar file)? 
http://people.freebsd.org/~ohauer/diffs/jasperserver_b1.shar 



Comment 7 Olli Hauer freebsd_committer 2010-10-10 00:20:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ohauer

I'll take it 

Jason do you have an idea to get the jdbc driver version 
for the pkg-plist if maven change the version? 

Additional, the maven build will break automatic tinderbox 
build since it downloads ~160MB before it starts to build. 

Can you test the modified port (shar file)? 
http://people.freebsd.org/~ohauer/diffs/jasperserver_b1.shar
Comment 8 jhelfman 2010-10-10 00:50:12 UTC
Can you please update the shar based on the latest shar I posted. I removed
the postgresql support, until there are some changes (currently in progress)
in the source code release for jasperserver. Once those changes are in
place, I will then add in the postgresql support.

As far as the version of the jdbc driver, it is the version that is packaged
with the source code. When new source code is released, it should have named
versions of the jdbc drivers, as well. That has been my experience so far.

In addition to this, I've built this in Tinderbox with no issue, but beyond
this I don't know how to build it without maven, as that is a requirement.

If you can update the shar, I can test and verify it.

-jgh
Comment 9 Olli Hauer freebsd_committer 2010-10-21 22:45:22 UTC
Hi Jason,

I found the time to build a new shar file for testing

Parts I have changed.
- use the ports build steps
- add custom DOS2UNIX since we should avoid patches with dos line-breaks
- remove OPTION MYSQL (it is the only database at the moment)
- remove DB and tomcat check in pre-build
- check for $tomcat/bin/bootstrap.jar instead tomcat>5.5.30:$...
- replace "${CP} file && chmod" with "${INSTALL} -m"

However I cannot guarantee the port will be committed because of
the maven build. I already started a discussion about this issue
with other committers. It seems no issue for you, but in general
such builds are prohibited since they fetch files out of the fetch
phase and spam ~/.

The new shar file can be found here:
http://people.freebsd.org/~ohauer/diffs/PR150208_jasperserver_b3.shar
(contains some of the changes only as comment)
Comment 10 Olli Hauer freebsd_committer 2010-11-27 19:27:32 UTC
State Changed
From-To: feedback->suspended

- during implementation some maven files have changed 
so the build does no longer work 
- suspend, no feedback from requester since a month 
- back to pool 


Comment 11 Olli Hauer freebsd_committer 2010-11-27 19:27:32 UTC
Responsible Changed
From-To: ohauer->freebsd-ports-bugs
Comment 12 jhelfman 2010-12-22 21:53:36 UTC
I am working with the vendor in getting issues with the build resolved in
the next release.

I will get this port to work either by their sources, packaged svn sources
being distributed, or not build via source and install via a binary method
similar to www/tomcat55.
-- 
Jason Helfman
Comment 13 jhelfman 2011-01-23 01:22:10 UTC
I have updated this port so doesn't download during the build.
Builds clean in tinderbox.
Please re-consider re-evalutating this port.

Thanks!
Jason

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	jasperserver
#	jasperserver/files
#	jasperserver/files/pkg-message.in
#	jasperserver/files/patch-jasperserver__jasperserver-war__src__main__webappAdditions__WEB-INF__web.xml
#	jasperserver/pkg-descr
#	jasperserver/pkg-plist
#	jasperserver/Makefile
#	jasperserver/distinfo
#
echo c - jasperserver
mkdir -p jasperserver > /dev/null 2>&1
echo c - jasperserver/files
mkdir -p jasperserver/files > /dev/null 2>&1
echo x - jasperserver/files/pkg-message.in
sed 's/^X//' >jasperserver/files/pkg-message.in << '0173d0fa2c639a70f23678c01a5a0de2'
X
XTo use this software package, you need to properly configure and enable an application and
Xdatabase server. These components need to be enabled, respectively, in /etc/rc.conf.
X
XThe %%DATABASE%% schema and default security credentials have been copied to:
X
X%%JSHOME%%/jasperserverCreate-%%DATABASE%%.ddl
Xand 
X%%JSHOME%%/jasperserverCreateDefaultSecurity-%%DATABASE%%.sql 
X
XTake necessary precautions before loading this sql into the %%PORTNAME%% database.
X
XTo create the %%PORTNAME%% database, you may choose to run the following target against
X%%PORTSDIR%%/databases/%%PORTNAME%%-%%PORTVERSION%%-src/%%PORTNAME%%/buildomatic/js-ant
X
X./js-ant create-js-db (Creates the %%PORTNAME%% database)
X
XIf the %%PORTNAME%% database already exists, you may need to first drop the database:
X./js-ant drop-js-db (Drops the %%PORTNAME%% database)
X
XAlternatively, you may choose to use the following method to create a suitable database:
X (mysql) mysql> create database jasperserver character set utf8;
X
0173d0fa2c639a70f23678c01a5a0de2
echo x - jasperserver/files/patch-jasperserver__jasperserver-war__src__main__webappAdditions__WEB-INF__web.xml
sed 's/^X//' >jasperserver/files/patch-jasperserver__jasperserver-war__src__main__webappAdditions__WEB-INF__web.xml << '4e272f2b4477f3408697c16fcc421e7f'
X--- ./jasperserver/jasperserver-war/src/main/webappAdditions/WEB-INF/web.xml.orig	2009-02-26 21:34:12.000000000 +0100
X+++ ./jasperserver/jasperserver-war/src/main/webappAdditions/WEB-INF/web.xml	2010-10-17 22:22:39.000000000 +0200
X@@ -288,7 +288,7 @@
X 
X     <session-config>
X         <!-- Default to 20 minute session timeouts -->
X-        <session-timeout>20</session-timeout>
X+        <session-timeout>%%JSTIMEOUT%%</session-timeout>
X     </session-config>
X 
X     <jsp-config>
4e272f2b4477f3408697c16fcc421e7f
echo x - jasperserver/pkg-descr
sed 's/^X//' >jasperserver/pkg-descr << 'fd39205dc6f1be9f3c19de84286388ef'
XJasperServer is a business intelligence platform based on JasperReports.
XIt is a Web and Web services based application for reporting, data analysis
X(OLAP UI and server) and data integration.
X
XWWW: http://jasperforge.org/projects/jasperserver
fd39205dc6f1be9f3c19de84286388ef
echo x - jasperserver/pkg-plist
sed 's/^X//' >jasperserver/pkg-plist << 'a6b1920ea50aaaaf08deb865c7b09c67'
X%%APP_VERSION%%/webapps/jasperserver/META-INF/MANIFEST.MF
X%%APP_VERSION%%/webapps/jasperserver/META-INF/context.xml
X%%APP_VERSION%%/webapps/jasperserver/META-INF/foodmartDS-jdbc.xml
X%%APP_VERSION%%/webapps/jasperserver/META-INF/jasperserverDS-jdbc.xml
X%%APP_VERSION%%/webapps/jasperserver/META-INF/sugarcrmDS-jdbc.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/application.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-datasource.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-logging.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-olap-connection.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-report-scheduling.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-security.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-web-services.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/calendar.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/ja-pro_messages.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/ja_mondrian_messages.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/jasperserver_config.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/jasperserver_messages.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/jpivot_messages.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/jsexceptions_messages.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/logger_descriptions.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/mondrian_exception_messages.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/scheduling_ws.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/classes/JI-menu.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/classes/jasperreports.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/classes/mondrian.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/datasources.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/decorators.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/decorators/main.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/decorators/metadata.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/decorators/panel.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/decorators/printable.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/ehcache.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/faces-config.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/dataTypeBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/dataTypeFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/defaultFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/displayOlapModelFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/editFolderBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/editFolderFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/fileResourceBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/fileResourceFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/inputControlsBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/inputControlsFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/listOfValuesBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/listOfValuesFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/listOlapViewsBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/listOlapViewsFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/listReportsBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/listReportsFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/logEventBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/logEventFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/mondrianXmlaSourceBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/mondrianXmlaSourceFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/objectPermissionBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/objectPermissionToRoleFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/objectPermissionToUserFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/olapClientConnectionBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/olapClientConnectionFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/olapSchemaResourceFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/olapUnitBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/olapUnitFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/olapViewListBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/olapViewListFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/queryBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/queryFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/queryReferenceBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/queryReferenceFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/repoAdminBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/repoAdminFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/reportDataSourceBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/reportDataSourceFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/reportJobBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/reportJobFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/reportSchedulingBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/reportSchedulingFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/reportUnitBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/reportUnitFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/repositoryBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/repositoryExplorerBean.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/repositoryExplorerFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/repositoryFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/roleBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/roleEditFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/roleListFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/treeBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/treeFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/userBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/userEditFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/userListFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/viewOlapModelBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/viewOlapModelFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/viewOlapViewFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/viewReportBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/viewReportFlow.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/hibernate.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/internal/ja-pro_internal_messages.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/internal/jasperserver.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/internal/jpivot_internal_messages.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jasperserver-servlet.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jasperserver.tld
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jboss-web.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/chart/chart.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/chart/chartpropertiesform.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/chart/chartpropertiesform_no.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/jpivot-tags.tld
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/jpivot-tags.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/navi/hierarchy-navigator.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/navi/js-hierarchy-navigator.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/navi/js-navigator.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/navi/navigator.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/print/arialuni.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/print/make-font.cmd
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/print/printpropertiesform.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/print/printpropertiesform_no.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/print/simhei.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/print/userconfig.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/saveas/saveas.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/showxml.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/table/axisform.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/table/displayform.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/table/fo_mdxtable.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/table/mdxcell.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/table/mdxedit.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/table/mdxedit_no.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/table/mdxslicer.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/table/mdxtable.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/table/mdxtableEfficient.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/table/mdxtableLite.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/table/sortform.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/table/sortform_no.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/table/xls_mdxtable.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/toolbar/htoolbar.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/toolbar/vtoolbar.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/js.quartz.base.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/js.quartz.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/AccessDeniedPage.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/CalendarInput.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/DefaultJasperViewer.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/DefaultParametersForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/DisplayOlapModel.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/FillParams.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/InputControlLabel.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/JSErrorPage.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/JSErrorPopup.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/ListReports.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/ReportTopInputControls.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/ReportTopParametersForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/TempView.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/ViewOlapModel.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/ViewReport.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/ViewReportControlsDialog.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/ViewReportWithParameters.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/accessDenied.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/ajax/RepositoryExplorerAjaxTable.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/ajax/ajaxerror.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/ajax/ajaxresponse.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/customUI/customTooltip.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/defaultPaginatorLinks.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/editDataTypeForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/editFileResource/editNamingForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/editFileResource/newUploadForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/editFolderForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/editMondrianXmlaSourceForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/exporters/csvExportParams.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/exporters/excelExportParams.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/exporters/swfExport.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/fileResourceFlow/resourceNamingForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/fileResourceFlow/resourceUploadForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/flowError.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/flowRemoveError.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/heartbeatOptin.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/heartbeatSendClientInfo.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/home.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/inputControls/controlNamingAndType.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/inputControls/listOfValues.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/inputControls/queryExtraData.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/inputControls/singleOrMultiValue.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/listOfValues/lovEditForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/listOfValues/lovItemsEditForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/listOlapViews.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/logEvent/eventList.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/logEvent/viewEvent.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/log_settings.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/login.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/loginError.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/login_welcome.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/menutest.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/menutestr.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/objectPermission/objPermissionToRole.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/objectPermission/objPermissionToUser.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olap/JPErrorPage.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olap/busy.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olap/empty.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olap/error.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olap/flush.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olap/properties.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olap/viewOlap.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olap/viewOlapOrig.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapDataSourceFlow/chooseSource.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapDataSourceFlow/chooseType.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapDataSourceFlow/jdbcPropsForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapDataSourceFlow/jndiPropsForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapUnitFlow/chooseConnectionSource.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapUnitFlow/chooseConnectionType.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapUnitFlow/connectionNamingForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapUnitFlow/connectionValidationConfirmation.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapUnitFlow/inputControlSource.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapUnitFlow/listResources.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapUnitFlow/mdxQueryForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapUnitFlow/nameLabelDescForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapUnitFlow/schemaUploadForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapUnitFlow/validationConfirmation.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapUnitFlow/xmlaConnectionForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapXmlaDefinitionFlow/olapXmlaDefinition.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/query/editQueryForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/query/editQueryTextForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/query/querySource.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/repoAdmin/defaultView.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportDataSourceFlow/beanPropsForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportDataSourceFlow/chooseSource.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportDataSourceFlow/chooseType.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportDataSourceFlow/customPropsForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportDataSourceFlow/jdbcPropsForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportDataSourceFlow/jndiPropsForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportScheduling/reportJobDetails.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportScheduling/reportJobOutput.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportScheduling/reportJobParameters.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportScheduling/reportJobTrigger.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportScheduling/reportJobs.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportUnitFlow/inputControlSource.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportUnitFlow/jrXmlUploadForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportUnitFlow/listResources.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportUnitFlow/nameLabelDescForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportUnitFlow/reportAndControlForm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportUnitFlow/validationConfirmation.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/repository/RepositoryExplorerFolderPopUpMenu.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/repository/RepositoryExplorerResourcePopUpMenu.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/repository/addNewResourceDropDownMenu.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/repository/createFolderDialog.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/repository/defaultView.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/repository/deleteResourceError.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/repository/deletionConfirm.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/repository/dragAndDrop.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/repository/missingObjectDialog.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/repository/missingParentDialog.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/repository/moveOrCopyError.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/repository/pasteConfirmDialog.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/repository/pathNotVisible.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/repository/repositoryExplorer.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/repository/resourceProperties.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/rolesFlow/roleCreator.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/rolesFlow/roleEditor.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/rolesFlow/roleManager.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/rolesFlow/roleViewer.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/userFlow/common.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/userFlow/userCreator.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/userFlow/userEditor.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/userFlow/userManager.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/userFlow/userViewer.jsp
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/FoodMart.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.ant.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.antlr.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.asm.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.cglib.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.commons.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.dom4j.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.ecache.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.groovy.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.hibernate.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.hsqldb.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.itext.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.jasperreports.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.jcommon.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.jfreechart.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.jpivot.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.json.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.jta.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.log4j.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.mondrian.html
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.nanotree.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.pngencoder.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.prototype.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.spring.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.wcf.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.xalan.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.xerces.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.xml-api.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/acegi-security-1.0.1.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/activation-1.1.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/antlr-2.7.6.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/aopalliance-1.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/asm-1.5.3.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/asm-attrs-1.5.3.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/avalon-framework-cvs-20020806.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/axis-1.3.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/axis-jaxrpc-1.3.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/axis-saaj-1.3.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/backport-util-concurrent-2.1.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/barbecue-1.1.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/batik-1.5-fop-0.20-5.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/bcmail-jdk14-136.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/bcprov-jdk14-136.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/castor-1.2.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/cglib-2.1_3.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-beanutils-1.7.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-cli-1.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-codec-1.4.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-collections-3.2.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-dbcp-1.2.1.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-digester-1.7.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-discovery-0.2.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-fileupload-1.1.1.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-httpclient-3.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-io-1.1.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-lang-2.1.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-logging-1.0.4.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-math-1.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-pool-1.2.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-vfs-1.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/dom4j-1.6.1.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/ehcache-1.2.3.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/eigenbase-properties-1.1.0.10924.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/eigenbase-resgen-1.3.0.11873.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/eigenbase-xom-1.3.0.11999.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/fop-0.20.5.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/groovy-all-minimal-1.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/hibernate-3.2.1.ga.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/iReport-utils-2.0.1.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/itext-2.1.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jai_codec-1.1_mr.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jai_core-1.1_mr.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jakarta-regexp-1.4.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperreports-3.5.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperreports-chart-themes-3.5.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperreports-ofc-component-0.0.2.2.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-api-common-3.5.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-api-common-impl-3.5.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-api-engine-3.5.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-api-engine-impl-3.5.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-api-metadata-3.5.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-api-metadata-impl-3.5.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-common-ws-3.5.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-export-tool-3.5.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-repository-hibernate-3.5.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-war-jar-3.5.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-ws-server-3.5.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/javacup-0.10k.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/javassist-3.7.ga.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jaxen-1.1-beta-8.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jcommon-1.0.15.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jdom-1.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jdtcore-3.1.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jfreechart-1.0.12.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/ji-jpivot-3.5.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/ji-wcf-3.5.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jsf-api-1.1.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/json-org-1.0.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jstl-1.1.2.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jta-1.0.1B.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jxl-2.6.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/log4j-1.2.12.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/mail-1.4.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/mondrian-3.0.4.11371-Jaspersoft.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/mondrian.dtd
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/ognl-2.7.3.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/olap4j-0.9.7.126.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/oro-2.0.8.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/png-encoder-1.5.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/quartz-1.5.1.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/sitemesh-2.2.1-JasperSoft.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/spring-2.0.2.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/spring-beans-2.0.2.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/spring-binding-1.0.1.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/spring-context-2.0.2.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/spring-core-2.0.2.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/spring-dao-2.0.2.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/spring-hibernate3-2.0.2.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/spring-jdbc-2.0.2.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/spring-web-2.0.2.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/spring-webflow-1.0.1.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/standard-1.1.2.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/wsdl4j-1.5.1.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/xalan-2.4.1.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/xercesImpl-2.6.2.jar
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/log4j.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/logs/readme.txt
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/mondrian.properties
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/pdfFontBeans.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/queries/FoodMart.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/server-config.wsdd
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/sitemesh.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/spring.tld
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/catedit.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/changeorder.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/confirm.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/controls-readonly.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/controls.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/fo_xtable.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/htoolbar.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/identity.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/popup.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/showxml.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/tableproperties.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/tableproperties_no.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/vtoolbar.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/wcf-tags.tld
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/wcf-tags.tld_wcf
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/wcf.dtd
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/wcf.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/xform.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/xls_xtable.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/xtabbed.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/xtable.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/xtree.xsl
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/web.xml
X%%APP_VERSION%%/webapps/jasperserver/WEB-INF/weblogic.xml
X%%APP_VERSION%%/webapps/jasperserver/cal/calendar-setup.js
X%%APP_VERSION%%/webapps/jasperserver/cal/calendar-win2k-1.css
X%%APP_VERSION%%/webapps/jasperserver/cal/calendar.js
X%%APP_VERSION%%/webapps/jasperserver/cal/calendar.jsp
X%%APP_VERSION%%/webapps/jasperserver/externalResource.htm
X%%APP_VERSION%%/webapps/jasperserver/favicon.ico
X%%APP_VERSION%%/webapps/jasperserver/images/addRole.gif
X%%APP_VERSION%%/webapps/jasperserver/images/addRoleDisabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/addRoleHover.gif
X%%APP_VERSION%%/webapps/jasperserver/images/alias.cur
X%%APP_VERSION%%/webapps/jasperserver/images/arrow_down.gif
X%%APP_VERSION%%/webapps/jasperserver/images/arrow_up.gif
X%%APP_VERSION%%/webapps/jasperserver/images/bottom_left.PNG
X%%APP_VERSION%%/webapps/jasperserver/images/bottom_right.PNG
X%%APP_VERSION%%/webapps/jasperserver/images/cal.gif
X%%APP_VERSION%%/webapps/jasperserver/images/clearValue-dis.gif
X%%APP_VERSION%%/webapps/jasperserver/images/clearValue.gif
X%%APP_VERSION%%/webapps/jasperserver/images/clock.gif
X%%APP_VERSION%%/webapps/jasperserver/images/close.gif
X%%APP_VERSION%%/webapps/jasperserver/images/copy.cur
X%%APP_VERSION%%/webapps/jasperserver/images/copy_disabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/copy_enabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/csv.gif
X%%APP_VERSION%%/webapps/jasperserver/images/dbtn_bg.png
X%%APP_VERSION%%/webapps/jasperserver/images/delete1.gif
X%%APP_VERSION%%/webapps/jasperserver/images/delete_disabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/delete_enabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/design_disabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/design_enabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/drag_1.gif
X%%APP_VERSION%%/webapps/jasperserver/images/drag_2.gif
X%%APP_VERSION%%/webapps/jasperserver/images/drag_folder.gif
X%%APP_VERSION%%/webapps/jasperserver/images/drop_here_disabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/drop_here_enabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/edit_disabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/edit_enabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/first-d.gif
X%%APP_VERSION%%/webapps/jasperserver/images/first.gif
X%%APP_VERSION%%/webapps/jasperserver/images/folder_permissions_disabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/folder_permissions_enabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/gold-gradient.gif
X%%APP_VERSION%%/webapps/jasperserver/images/gold-gradient_flipped.gif
X%%APP_VERSION%%/webapps/jasperserver/images/invalidField.gif
X%%APP_VERSION%%/webapps/jasperserver/images/jasperforge-logo.gif
X%%APP_VERSION%%/webapps/jasperserver/images/jasperreports-flash-3.0.0.swf
X%%APP_VERSION%%/webapps/jasperserver/images/jaspersoft-logo.gif
X%%APP_VERSION%%/webapps/jasperserver/images/jaspersoft-logo.png
X%%APP_VERSION%%/webapps/jasperserver/images/last-d.gif
X%%APP_VERSION%%/webapps/jasperserver/images/last.gif
X%%APP_VERSION%%/webapps/jasperserver/images/login-bottom-left.png
X%%APP_VERSION%%/webapps/jasperserver/images/login-bottom-middle.png
X%%APP_VERSION%%/webapps/jasperserver/images/login-bottom-right.png
X%%APP_VERSION%%/webapps/jasperserver/images/login-center-left.png
X%%APP_VERSION%%/webapps/jasperserver/images/login-center-right.png
X%%APP_VERSION%%/webapps/jasperserver/images/login-center.png
X%%APP_VERSION%%/webapps/jasperserver/images/login-top-left.png
X%%APP_VERSION%%/webapps/jasperserver/images/login-top-middle.png
X%%APP_VERSION%%/webapps/jasperserver/images/login-top-right.png
X%%APP_VERSION%%/webapps/jasperserver/images/mouse.gif
X%%APP_VERSION%%/webapps/jasperserver/images/move_disabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/move_enabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/new_folder_disabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/new_folder_enabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/new_resource_disabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/new_resource_enabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/next-d.gif
X%%APP_VERSION%%/webapps/jasperserver/images/next.gif
X%%APP_VERSION%%/webapps/jasperserver/images/no_drop.gif
X%%APP_VERSION%%/webapps/jasperserver/images/pdf.gif
X%%APP_VERSION%%/webapps/jasperserver/images/pixel.gif
X%%APP_VERSION%%/webapps/jasperserver/images/popup-bottom-left.gif
X%%APP_VERSION%%/webapps/jasperserver/images/popup-bottom-middle.gif
X%%APP_VERSION%%/webapps/jasperserver/images/popup-bottom-right.gif
X%%APP_VERSION%%/webapps/jasperserver/images/popup-center-left.gif
X%%APP_VERSION%%/webapps/jasperserver/images/popup-center-middle.gif
X%%APP_VERSION%%/webapps/jasperserver/images/popup-center-right.gif
X%%APP_VERSION%%/webapps/jasperserver/images/popup-top-left.gif
X%%APP_VERSION%%/webapps/jasperserver/images/popup-top-middle.gif
X%%APP_VERSION%%/webapps/jasperserver/images/popup-top-right.gif
X%%APP_VERSION%%/webapps/jasperserver/images/prev-d.gif
X%%APP_VERSION%%/webapps/jasperserver/images/prev.gif
X%%APP_VERSION%%/webapps/jasperserver/images/properties_disabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/properties_enabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/re_menu_bottom_left.gif
X%%APP_VERSION%%/webapps/jasperserver/images/re_menu_bottom_middle.gif
X%%APP_VERSION%%/webapps/jasperserver/images/re_menu_bottom_right.gif
X%%APP_VERSION%%/webapps/jasperserver/images/re_menu_center_left.gif
X%%APP_VERSION%%/webapps/jasperserver/images/re_menu_center_middle.gif
X%%APP_VERSION%%/webapps/jasperserver/images/re_menu_center_right.gif
X%%APP_VERSION%%/webapps/jasperserver/images/re_menu_top_left.gif
X%%APP_VERSION%%/webapps/jasperserver/images/re_menu_top_middle.gif
X%%APP_VERSION%%/webapps/jasperserver/images/re_menu_top_right.gif
X%%APP_VERSION%%/webapps/jasperserver/images/removeRole.gif
X%%APP_VERSION%%/webapps/jasperserver/images/removeRoleDisabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/removeRoleHover.gif
X%%APP_VERSION%%/webapps/jasperserver/images/report_options.gif
X%%APP_VERSION%%/webapps/jasperserver/images/return_to_repo.gif
X%%APP_VERSION%%/webapps/jasperserver/images/rtf.gif
X%%APP_VERSION%%/webapps/jasperserver/images/runreport.gif
X%%APP_VERSION%%/webapps/jasperserver/images/schedule.gif
X%%APP_VERSION%%/webapps/jasperserver/images/schedule_disabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/schedule_enabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/send_output_disabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/send_output_enabled.gif
X%%APP_VERSION%%/webapps/jasperserver/images/sflogo.gif
X%%APP_VERSION%%/webapps/jasperserver/images/spinner_moz.gif
X%%APP_VERSION%%/webapps/jasperserver/images/swapLeftArrowDisabled.png
X%%APP_VERSION%%/webapps/jasperserver/images/swapLeftArrowOver.png
X%%APP_VERSION%%/webapps/jasperserver/images/swapLeftArrowUp.png
X%%APP_VERSION%%/webapps/jasperserver/images/swapRightArrowDisabled.png
X%%APP_VERSION%%/webapps/jasperserver/images/swapRightArrowOver.png
X%%APP_VERSION%%/webapps/jasperserver/images/swapRightArrowUp.png
X%%APP_VERSION%%/webapps/jasperserver/images/swf.gif
X%%APP_VERSION%%/webapps/jasperserver/images/top_left.PNG
X%%APP_VERSION%%/webapps/jasperserver/images/top_right.PNG
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/folder_closed.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/folder_open.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/help_16x16.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/lastnode.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/line.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/minus.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/minus_last.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/minus_last_no_root.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/minus_no_root.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/minus_nolines.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/page16x16.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/plus.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/plus_last.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/plus_last_no_root.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/plus_no_root.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/plus_nolines.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/t.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/t_no_root.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/user_16x16.gif
X%%APP_VERSION%%/webapps/jasperserver/images/treeimages/white.gif
X%%APP_VERSION%%/webapps/jasperserver/images/x-button.gif
X%%APP_VERSION%%/webapps/jasperserver/images/x.gif
X%%APP_VERSION%%/webapps/jasperserver/images/xls.gif
X%%APP_VERSION%%/webapps/jasperserver/index.htm
X%%APP_VERSION%%/webapps/jasperserver/inputControl.htm
X%%APP_VERSION%%/webapps/jasperserver/j/Thumbs.db
X%%APP_VERSION%%/webapps/jasperserver/j/arrow-ab.gif
X%%APP_VERSION%%/webapps/jasperserver/j/arrow-auf.gif
X%%APP_VERSION%%/webapps/jasperserver/j/arrow-down.gif
X%%APP_VERSION%%/webapps/jasperserver/j/arrow-gdown.gif
X%%APP_VERSION%%/webapps/jasperserver/j/arrow-gup.gif
X%%APP_VERSION%%/webapps/jasperserver/j/arrow-ndown.gif
X%%APP_VERSION%%/webapps/jasperserver/j/arrow-none.gif
X%%APP_VERSION%%/webapps/jasperserver/j/arrow-nup.gif
X%%APP_VERSION%%/webapps/jasperserver/j/arrow-ohne.gif
X%%APP_VERSION%%/webapps/jasperserver/j/arrow-rdown.gif
X%%APP_VERSION%%/webapps/jasperserver/j/arrow-rup.gif
X%%APP_VERSION%%/webapps/jasperserver/j/arrow-up.gif
X%%APP_VERSION%%/webapps/jasperserver/j/collapse-all-d.png
X%%APP_VERSION%%/webapps/jasperserver/j/collapse-all-down.png
X%%APP_VERSION%%/webapps/jasperserver/j/collapse-all-up.png
X%%APP_VERSION%%/webapps/jasperserver/j/drill-member-collapse.gif
X%%APP_VERSION%%/webapps/jasperserver/j/drill-member-expand.gif
X%%APP_VERSION%%/webapps/jasperserver/j/drill-member-other.gif
X%%APP_VERSION%%/webapps/jasperserver/j/drill-position-collapse.gif
X%%APP_VERSION%%/webapps/jasperserver/j/drill-position-expand.gif
X%%APP_VERSION%%/webapps/jasperserver/j/drill-position-other.gif
X%%APP_VERSION%%/webapps/jasperserver/j/drill-replace-collapse.gif
X%%APP_VERSION%%/webapps/jasperserver/j/drill-replace-expand.gif
X%%APP_VERSION%%/webapps/jasperserver/j/drill-replace-other.gif
X%%APP_VERSION%%/webapps/jasperserver/j/drill-through.gif
X%%APP_VERSION%%/webapps/jasperserver/j/expand-all-d.png
X%%APP_VERSION%%/webapps/jasperserver/j/expand-all-down.gif
X%%APP_VERSION%%/webapps/jasperserver/j/expand-all-down.png
X%%APP_VERSION%%/webapps/jasperserver/j/expand-all-up.png
X%%APP_VERSION%%/webapps/jasperserver/j/filter-nochange.gif
X%%APP_VERSION%%/webapps/jasperserver/j/filter-stepslope.gif
X%%APP_VERSION%%/webapps/jasperserver/j/filter-transient.gif
X%%APP_VERSION%%/webapps/jasperserver/j/mdxtable.css
X%%APP_VERSION%%/webapps/jasperserver/j/sort-current-down.gif
X%%APP_VERSION%%/webapps/jasperserver/j/sort-current-up.gif
X%%APP_VERSION%%/webapps/jasperserver/j/sort-down.gif
X%%APP_VERSION%%/webapps/jasperserver/j/sort-natural.gif
X%%APP_VERSION%%/webapps/jasperserver/j/sort-other-down.gif
X%%APP_VERSION%%/webapps/jasperserver/j/sort-other-up.gif
X%%APP_VERSION%%/webapps/jasperserver/j/sort-up.gif
X%%APP_VERSION%%/webapps/jasperserver/j/zoom-out-all-d.png
X%%APP_VERSION%%/webapps/jasperserver/j/zoom-out-all-down.png
X%%APP_VERSION%%/webapps/jasperserver/j/zoom-out-all-up.png
X%%APP_VERSION%%/webapps/jasperserver/j/zoom_in.cur
X%%APP_VERSION%%/webapps/jasperserver/j/zoom_out.cur
X%%APP_VERSION%%/webapps/jasperserver/jpivot/ja-pro.js
X%%APP_VERSION%%/webapps/jasperserver/jpivot/navi/cat-available.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/navi/cat-visible.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/navi/column.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/navi/empty.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/navi/filter.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/navi/functions.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/navi/level.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/navi/mdxnavi.css
X%%APP_VERSION%%/webapps/jasperserver/jpivot/navi/properties.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/navi/row.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/navi/showsel.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/Thumbs.db
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/arrow-ab.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/arrow-auf.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/arrow-down.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/arrow-gdown.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/arrow-gup.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/arrow-ndown.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/arrow-none.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/arrow-nup.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/arrow-ohne.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/arrow-rdown.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/arrow-rup.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/arrow-up.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/collapse-all-d.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/collapse-all-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/collapse-all-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/drill-member-collapse.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/drill-member-expand.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/drill-member-other.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/drill-position-collapse.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/drill-position-expand.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/drill-position-other.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/drill-replace-collapse.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/drill-replace-expand.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/drill-replace-other.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/drill-through.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/expand-all-d.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/expand-all-down.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/expand-all-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/expand-all-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/filter-nochange.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/filter-stepslope.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/filter-transient.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/mdxtable.css
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/sort-current-down.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/sort-current-up.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/sort-down.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/sort-natural.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/sort-other-down.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/sort-other-up.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/sort-up.gif
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/zoom-out-all-d.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/zoom-out-all-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/zoom-out-all-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/zoom_in.cur
X%%APP_VERSION%%/webapps/jasperserver/jpivot/table/zoom_out.cur
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/admin-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/admin-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/bookmark-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/bookmark-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/chart-config-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/chart-config-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/chart-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/chart-new-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/chart-new-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/chart-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/chart.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/chartoptions-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/chartoptions-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/cube-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/cube-new-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/cube-new-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/cube-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/debug-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/debug-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/displayoptions-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/displayoptions-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/edit-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/edit-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/empty-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/empty-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/excel-config-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/excel-config-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/excel-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/excel-new-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/excel-new-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/excel-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/filter-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/filter-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/hide-spans-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/hide-spans-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/level-style-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/level-style-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/mdx-edit-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/mdx-edit-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/mdxquery-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/mdxquery-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/member-selection-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/member-selection-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/navi-member-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/navi-member-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/navi-position-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/navi-position-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/navi-replace-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/navi-replace-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/navi-through-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/navi-through-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/non-empty-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/non-empty-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/outputopts-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/outputopts-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/param-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/param-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/print-config-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/print-config-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/print-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/print-new-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/print-new-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/print-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/properties-config-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/properties-config-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/properties-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/properties-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/reload-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/reload-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/reset-query-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/reset-query-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/save-as-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/save-as-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/save-dis-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/save-dis-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/save-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/save-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/showempty-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/showempty-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/sort-asc-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/sort-asc-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/sortacross-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/sortacross-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/swap-axes-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/swap-axes-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/swapaxes-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/swapaxes-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/table-config-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/table-config-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/table-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/table-up.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/zoom-down.png
X%%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar/zoom-up.png
X%%APP_VERSION%%/webapps/jasperserver/openflashchart/LICENSE-open-flash-chart.txt
X%%APP_VERSION%%/webapps/jasperserver/openflashchart/LICENSE-swfobject.txt
X%%APP_VERSION%%/webapps/jasperserver/openflashchart/README.txt
X%%APP_VERSION%%/webapps/jasperserver/openflashchart/expressInstall.swf
X%%APP_VERSION%%/webapps/jasperserver/openflashchart/open-flash-chart.swf
X%%APP_VERSION%%/webapps/jasperserver/openflashchart/swfobject.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/LinkButton.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/ListBox.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/SearchTextBox.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/ajax.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/checkbox-utils.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/common-utils.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/common.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/customTooltip.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/dialog.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/drag.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/edition.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/error.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/jasperserver.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/nanotree.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/prototype.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/repositoryExplorer.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/repositoryExplorerDragAndDrop.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/rootObjectModifier.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/tabs.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/toolbarButtons.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/treesupport.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/usersandroles/basemanager.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/usersandroles/data.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/usersandroles/listModel.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/usersandroles/manager.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/usersandroles/message-utils.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/usersandroles/rolemanager/roleCreator.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/usersandroles/rolemanager/roleEditor.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/usersandroles/rolemanager/roleManager.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/usersandroles/rolemanager/roleViewer.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/usersandroles/tenantTree.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/usersandroles/usermanager/userCreator.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/usersandroles/usermanager/userEditor.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/usersandroles/usermanager/userManager.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/usersandroles/usermanager/userViewer.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/usersandroles/utils.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/validator.js
X%%APP_VERSION%%/webapps/jasperserver/scripts/view-report.js
X%%APP_VERSION%%/webapps/jasperserver/stylesheets/SearchTextBox.css
X%%APP_VERSION%%/webapps/jasperserver/stylesheets/base.css
X%%APP_VERSION%%/webapps/jasperserver/stylesheets/customtooltip.css
X%%APP_VERSION%%/webapps/jasperserver/stylesheets/dialog.css
X%%APP_VERSION%%/webapps/jasperserver/stylesheets/header.js
X%%APP_VERSION%%/webapps/jasperserver/stylesheets/manager.css
X%%APP_VERSION%%/webapps/jasperserver/stylesheets/manager/editor.css
X%%APP_VERSION%%/webapps/jasperserver/stylesheets/manager/ie-specific.css
X%%APP_VERSION%%/webapps/jasperserver/stylesheets/manager/ie7-specific.css
X%%APP_VERSION%%/webapps/jasperserver/stylesheets/manager/userCreator.css
X%%APP_VERSION%%/webapps/jasperserver/stylesheets/std_treelook.css
X%%APP_VERSION%%/webapps/jasperserver/stylesheets/styles.css
X%%APP_VERSION%%/webapps/jasperserver/stylesheets/stylesheet.css
X%%APP_VERSION%%/webapps/jasperserver/stylesheets/tabs.css
X%%APP_VERSION%%/webapps/jasperserver/stylesheets/toolbarButtons.css
X%%APP_VERSION%%/webapps/jasperserver/stylesheets/userManager.css
X%%APP_VERSION%%/webapps/jasperserver/wcf/calendar/cal.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/calendar/calendar.css
X%%APP_VERSION%%/webapps/jasperserver/wcf/calendar/calendar.js
X%%APP_VERSION%%/webapps/jasperserver/wcf/calendar/close.gif
X%%APP_VERSION%%/webapps/jasperserver/wcf/calendar/divider.gif
X%%APP_VERSION%%/webapps/jasperserver/wcf/calendar/drop1.gif
X%%APP_VERSION%%/webapps/jasperserver/wcf/calendar/drop2.gif
X%%APP_VERSION%%/webapps/jasperserver/wcf/calendar/left1.gif
X%%APP_VERSION%%/webapps/jasperserver/wcf/calendar/left2.gif
X%%APP_VERSION%%/webapps/jasperserver/wcf/calendar/right1.gif
X%%APP_VERSION%%/webapps/jasperserver/wcf/calendar/right2.gif
X%%APP_VERSION%%/webapps/jasperserver/wcf/catedit/category1.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/catedit/category2.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/catedit/category3.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/catedit/empty.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/catedit/xcatedit.css
X%%APP_VERSION%%/webapps/jasperserver/wcf/changeorder/cut.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/changeorder/move-down.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/changeorder/move-empty.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/changeorder/move-up.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/changeorder/paste-after.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/changeorder/paste-before.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/changeorder/uncut.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/form/cancel.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/form/ok.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/form/xform.css
X%%APP_VERSION%%/webapps/jasperserver/wcf/pagestack/pagestack.css
X%%APP_VERSION%%/webapps/jasperserver/wcf/popup/popup.css
X%%APP_VERSION%%/webapps/jasperserver/wcf/popup/popup.js
X%%APP_VERSION%%/webapps/jasperserver/wcf/scroller.js
X%%APP_VERSION%%/webapps/jasperserver/wcf/status/status.css
X%%APP_VERSION%%/webapps/jasperserver/wcf/tabbed/current.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/tabbed/other.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/tabbed/xtabbed.css
X%%APP_VERSION%%/webapps/jasperserver/wcf/table/csv16.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/table/edit.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/table/gotopage.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/table/page-first-down.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/table/page-first.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/table/page-last-down.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/table/page-last.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/table/page-next-down.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/table/page-next.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/table/page-prev-down.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/table/page-prev.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/table/select.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/table/sort-ac.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/table/sort-an.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/table/sort-dc.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/table/sort-dn.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/table/xtable.css
X%%APP_VERSION%%/webapps/jasperserver/wcf/toolbar/button-down.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/toolbar/button-up.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/tree/accept.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/tree/cancel.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/tree/collapse.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/tree/delete.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/tree/expand.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/tree/leaf.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/tree/select0.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/tree/select1.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/tree/unbound.png
X%%APP_VERSION%%/webapps/jasperserver/wcf/tree/xtree.css
X%%APP_VERSION%%/webapps/jasperserver/wcf/wcf.css
X%%APP_VERSION%%/webapps/jasperserver/jasperserverCreate-%%DATABASE%%.ddl
X%%APP_VERSION%%/webapps/jasperserver/jasperserverCreateDefaultSecurity-%%DATABASE%%.sql
X%%APP_VERSION%%/common/lib/%%JDBC%%
X@exec if [ -f %D/%%APP_VERSION%%/common/lib/%%JDBC%% ]; then /bin/chmod a+r %D/%%APP_VERSION%%/common/lib/%%JDBC%%; else exit 1; fi
X@dirrm %%APP_VERSION%%/webapps/jasperserver/wcf/tree
X@dirrm %%APP_VERSION%%/webapps/jasperserver/wcf/toolbar
X@dirrm %%APP_VERSION%%/webapps/jasperserver/wcf/table
X@dirrm %%APP_VERSION%%/webapps/jasperserver/wcf/tabbed
X@dirrm %%APP_VERSION%%/webapps/jasperserver/wcf/status
X@dirrm %%APP_VERSION%%/webapps/jasperserver/wcf/popup
X@dirrm %%APP_VERSION%%/webapps/jasperserver/wcf/pagestack
X@dirrm %%APP_VERSION%%/webapps/jasperserver/wcf/form
X@dirrm %%APP_VERSION%%/webapps/jasperserver/wcf/changeorder
X@dirrm %%APP_VERSION%%/webapps/jasperserver/wcf/catedit
X@dirrm %%APP_VERSION%%/webapps/jasperserver/wcf/calendar
X@dirrm %%APP_VERSION%%/webapps/jasperserver/wcf
X@dirrm %%APP_VERSION%%/webapps/jasperserver/stylesheets/manager
X@dirrm %%APP_VERSION%%/webapps/jasperserver/stylesheets
X@dirrm %%APP_VERSION%%/webapps/jasperserver/scripts/usersandroles/usermanager
X@dirrm %%APP_VERSION%%/webapps/jasperserver/scripts/usersandroles/rolemanager
X@dirrm %%APP_VERSION%%/webapps/jasperserver/scripts/usersandroles
X@dirrm %%APP_VERSION%%/webapps/jasperserver/scripts
X@dirrm %%APP_VERSION%%/webapps/jasperserver/openflashchart
X@dirrm %%APP_VERSION%%/webapps/jasperserver/jpivot/toolbar
X@dirrm %%APP_VERSION%%/webapps/jasperserver/jpivot/table
X@dirrm %%APP_VERSION%%/webapps/jasperserver/jpivot/navi
X@dirrm %%APP_VERSION%%/webapps/jasperserver/jpivot
X@dirrm %%APP_VERSION%%/webapps/jasperserver/j
X@dirrm %%APP_VERSION%%/webapps/jasperserver/images/treeimages
X@dirrm %%APP_VERSION%%/webapps/jasperserver/images
X@dirrm %%APP_VERSION%%/webapps/jasperserver/cal
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/queries
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/logs
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/userFlow
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/rolesFlow
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/repository
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportUnitFlow
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportScheduling
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/reportDataSourceFlow
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/repoAdmin
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/query
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapXmlaDefinitionFlow
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapUnitFlow
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olapDataSourceFlow
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/olap
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/objectPermission
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/logEvent
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/listOfValues
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/inputControls
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/fileResourceFlow
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/exporters
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/editFileResource
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/customUI
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/ajax
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/toolbar
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/table
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/saveas
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/print
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/navi
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/chart
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/internal
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/decorators
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/classes
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles
X@dirrm %%APP_VERSION%%/webapps/jasperserver/WEB-INF
X@dirrm %%APP_VERSION%%/webapps/jasperserver/META-INF
X@dirrm %%APP_VERSION%%/webapps/jasperserver
a6b1920ea50aaaaf08deb865c7b09c67
echo x - jasperserver/Makefile
sed 's/^X//' >jasperserver/Makefile << '82baef1580c1143a2b99496475536c60'
X# New ports collection makefile for:	jasperserver
X# Date created:				27 August 2010
X# Whom:					Jason Helfman
X#
X# $FreeBSD$
X#
X
XPORTNAME=	jasperserver
XPORTVERSION=	3.5.0
XCATEGORIES=	databases print java
XMASTER_SITES=	SF/${PORTNAME}/JasperServer/JasperServer%20${PORTVERSION}/:source1 \
X		http://www.glenbarber.us/ports/databases/${PORTNAME}/:source2
XDISTFILES=	${PORTNAME}-${PORTVERSION}-src.zip:source1 \
X		${PORTNAME}-${PORTVERSION}-maven-repository.tar.gz:source2
XEXTRACT_ONLY=	${PORTNAME}-${PORTVERSION}-src.zip
X
XMAINTAINER=	jhelfman@experts-exchange.com
XCOMMENT=	Open Source Java Reporting Library
X
XBUILD_DEPENDS=	mvn:${PORTSDIR}/devel/maven2
X
XLICENSE_COMB=	multi
XLICENSE=	GPLv2 MIT ASL
X
XSRCDIR=		${WRKDIR}/jasperserver-${PORTVERSION}-src
XPATCH_WRKSRC=	${SRCDIR}
XWRKSRC=		${WRKDIR}/jasperserver-${PORTVERSION}-src/${PORTNAME}/buildomatic
XWRKDIR?=	${WRKDIRPREFIX}${.CURDIR}/work
XSQLSRC=		${WRKDIR}/jasperserver-${PORTVERSION}-src/${PORTNAME}/scripts
XJS=		${WRKDIR}/jasperserver-${PORTVERSION}-src/${PORTNAME}
XJSREPO=		${JS}-repo
XJSMAVENTAR=	${PORTNAME}-${PORTVERSION}-maven-repository.tar.gz
X
XNO_WRKSUBDIR=	yes
XUSE_JAVA=	yes
XJAVA_VENDOR?=	freebsd
XJAVA_VERSION?=	1.6+
XUSE_ZIP=	yes
X# use own DOS2UNIX in pre-patch, not the one from bsd.port.mk!
XDOS2UNIX_REGEX=	.*(css|dtd|java|js|txt|wsdd|xml|xsl)$$
X
XOPTIONS=	TOMCAT5 "Enable Tomcat 5.x support"	on \
X		TOMCAT6 "Enable Tomcat 6.x support"	off \
X		MYSQL	"Enable Mysql support"		on
X
XREPLACE_FILES=	${JS}/jasperserver-war/src/main/webappAdditions/WEB-INF/web.xml
XREPLACE_LIST_TEMP=	${SUB_LIST:S/$/!g/:S/^/ -e s!%%/:S/=/%%!/}
X
XSUB_FILES=	pkg-message
X
XSUB_LIST=	DATABASE=${DATABASE} \
X		JSHOME=${JSHOME} \
X		JSTIMEOUT=${JSTIMEOUT} \
X		PORTNAME=${PORTNAME} \
X		PORTSDIR=${PORTSDIR} \
X		PORTVERSION=${PORTVERSION}
X
X.include <bsd.port.options.mk>
X
X# set a dummy user/passwd and the target database
X# else the build will fail
X.if defined(WITH_MYSQL)
XUSE_MYSQL=	yes
XMYNAME?=	root
XMYPASS?=
XDATABASE=	mysql
XPLIST_SUB+=	JDBC="mysql-connector-java-5.1.5.jar" DATABASE=${DATABASE}
X.endif
X
X.if defined(WITH_TOMCAT5)
XBUILD_DEPENDS+=	${LOCALBASE}/tomcat5.5/bin/bootstrap.jar:${PORTSDIR}/www/tomcat55
XRUN_DEPENDS+=	${LOCALBASE}/tomcat5.5/bin/bootstrap.jar:${PORTSDIR}/www/tomcat55
XAPPHOME?=	${LOCALBASE}/tomcat5.5
XJSHOME?=	${APPHOME}/webapps/${PORTNAME}
XPLIST_SUB+=	APP_VERSION="tomcat5.5"
X.endif
X
X.if defined(WITH_TOMCAT6)
XBUILD_DEPENDS+=	${LOCALBASE}/apache-tomcat-6.0/bin/bootstrap.jar:${PORTSDIR}/www/tomcat6
XRUN_DEPENDS+=	${LOCALBASE}/apache-tomcat-6.0/bin/bootstrap.jar:${PORTSDIR}/www/tomcat6
XAPPHOME?=	${LOCALBASE}/apache-tomcat-6.0
XJSHOME?=	${APPHOME}/webapps/${PORTNAME}
XPLIST_SUB+=	APP_VERSION="apache-tomcat-6.0"
X.endif
X
XDBHOST?=	localhost
X
XAPP_PROPERTIES=	${SRCDIR}/${PORTNAME}/buildomatic/default_master.properties
XJS_PROPERTIES=	${SRCDIR}/${PORTNAME}/buildomatic/js-build.properties
XMAIL_PROPERTIES=${SRCDIR}/${PORTNAME}/buildomatic/build_conf/default/webapp/WEB-INF/js.quartz.properties
X
XJSPORT?=	8080
XJSEXTRA?=
XJSMAILHOST?=	localhost
XJSMAILUSER?=	admin
XJSMAILPASS?=	password
XJSMAILFROM?=	"admin@localhost"
XJSMAILPROTO?=	smtp
XJSMAILPORT?=	25
XJSTIMEOUT?=	20
X
Xcheck-sanity:
X.if ( defined(WITH_TOMCAT5) && defined(WITH_TOMCAT6) )
XIGNORE=	you can only define one application server
X.elif ( !defined(WITH_TOMCAT5) && !defined(WITH_TOMCAT6) )
XIGNORE=	choose at least one application server
X.endif
X
X# We can not use the USE_DOS2UNIX routine, since WRKDIR is redefined
X# and we have to convert files in a directory above WRKSRC!
Xpre-patch:
X	@${ECHO_MSG} "===>   Converting DOS text files to UNIX text files using '${DOS2UNIX_REGEX}'"
X	@${FIND} -E ${SRCDIR} -type f -iregex '${DOS2UNIX_REGEX}' -print0 | \
X		${XARGS} -0 ${REINPLACE_CMD} -i '' -e 's/$$//'
X
Xpost-patch:
X.for file in ${REPLACE_FILES}
X	@${ECHO_MSG} -n ">> Customizing `basename ${file}`..."
X	@${SED} ${REPLACE_LIST_TEMP} ${file} > ${WRKDIR}/`basename ${file}`
X	@${ECHO_MSG} " [ DONE ]"
X	@( if [ -f ${JS}/jasperserver-war/src/main/webappAdditions/WEB-INF/web.xml.orig ] ; then ${RM} ${JS}/jasperserver-war/src/main/webappAdditions/WEB-INF/web.xml.orig ; else exit 1; fi )
X.endfor
X
Xpost-extract-script:
X	@if [ `/usr/bin/id -u` -eq 0 ]; then \
X	if [ -e /root/.m2 ]; then ${ECHO} A maven repository exists in your home directory. Please remove ${HOME}/.m2 and 'make clean && make' && exit 1; else /usr/bin/tar -C ${WRKDIR} -xf ${DISTDIR}/${JSMAVENTAR} && ${LN} -fs ${WRKDIR}/.m2 /root/.m2 ;fi \
X	else \
X	if [ -e ${HOME}/.m2 ]; then ${ECHO} A maven repository exists in your home directory. Please remove ${HOME}/.m2 and 'make clean && make' && exit 1; else /usr/bin/tar -C ${WRKDIR} -xf ${DISTDIR}/${JSMAVENTAR} && ${LN} -fs ${WRKDIR}/.m2 ${HOME}/.m2 ;fi \
X	fi
X
Xpre-build:
X	@${ECHO} " ====== pre-build ==========="
X	@${ECHO} "appServerDir = ${APPHOME}" > ${APP_PROPERTIES}
X	@${ECHO} "dbType = mysql" >> ${APP_PROPERTIES}
X	@${ECHO} "dbUsername = ${MYNAME}" >> ${APP_PROPERTIES}
X	@${ECHO} "dbPassword = ${MYPASS}" >> ${APP_PROPERTIES}
X	@${ECHO} "dbHost = ${DBHOST}" >> ${APP_PROPERTIES}
X
X	@( if [ -f ${LOCALBASE}/bin/mvn ] ; then ${ECHO} "maven = ${LOCALBASE}/bin/mvn" > ${JS_PROPERTIES} ; else exit 1; fi )
X	@${ECHO} "js-base-path = ${JS}" >> ${JS_PROPERTIES}
X	@${ECHO} "repo-path = ${JSREPO}">> ${JS_PROPERTIES}
X	@${CHMOD} 0755 ${SRCDIR}/${PORTNAME}/buildomatic/js-ant ${SRCDIR}/apache-ant/bin/ant
X
Xdo-build:
X	@( cd ${WRKSRC} && ./js-ant clean-config )
X	@( cd ${WRKSRC} && ./js-ant gen-config )
X	@( cd ${WRKSRC} && ./js-ant add-jdbc-driver )
X	@( ${CP} ${WRKDIR}/web.xml ${JS}/jasperserver-war/src/main/webappAdditions/WEB-INF/web.xml )
X	@( cd ${WRKSRC} && ./js-ant build-ce )
X
X	@${ECHO} "quartz.delegateClass=org.quartz.impl.jdbcjobstore.StdJDBCDelegate" > ${MAIL_PROPERTIES}
X	@${ECHO} "quartz.tablePrefix=QRTZ_" >> ${MAIL_PROPERTIES}
X	@${ECHO} "quartz.extraSettings=${JSEXTRA}" >> ${MAIL_PROPERTIES}
X	@${ECHO} "report.scheduler.web.deployment.uri=http://localhost:${JSPORT}/${PORTNAME}" >> ${MAIL_PROPERTIES}
X	@${ECHO} "report.scheduler.mail.sender.host=${JSMAILHOST}" >> ${MAIL_PROPERTIES}
X	@${ECHO} "report.scheduler.mail.sender.username=${JSMAILUSER}" >> ${MAIL_PROPERTIES}
X	@${ECHO} "report.scheduler.mail.sender.password=${JSMAILPASS}" >> ${MAIL_PROPERTIES}
X	@${ECHO} "report.scheduler.mail.sender.from=${JSMAILFROM}" >> ${MAIL_PROPERTIES}
X	@${ECHO} "report.scheduler.mail.sender.protocol=${JSMAILPROTO}" >> ${MAIL_PROPERTIES}
X	@${ECHO} "report.scheduler.mail.sender.port=${JSMAILPORT}" >> ${MAIL_PROPERTIES}
X
Xdo-install:
X	@( cd ${WRKSRC} && ./js-ant deploy-webapp-ce )
X	@( cd ${SQLSRC} && ${INSTALL_DATA} ${DATABASE}/jasperserverCreate-${DATABASE}.ddl ${JSHOME} )
X	@( cd ${SQLSRC} && ${INSTALL_DATA} ${DATABASE}/jasperserverCreateDefaultSecurity-${DATABASE}.sql ${JSHOME} )
X	${INSTALL} -m 640 ${MAIL_PROPERTIES} ${JSHOME}/WEB-INF/
X
Xpost-install:
X	@${CAT} ${PKGMESSAGE}
X	@if [ `/usr/bin/id -u` -eq 0 ]; then ${RM} -f /root/.m2 ; else ${RM} -f ${HOME}/.m2; fi
X
X.include <bsd.port.mk>
82baef1580c1143a2b99496475536c60
echo x - jasperserver/distinfo
sed 's/^X//' >jasperserver/distinfo << 'bf502d8b6ec722674e88d78d44e85a79'
XSHA256 (jasperserver-3.5.0-src.zip) = 49c5b80884421a2be228137f2714de54ef91fb4f8f51515ad335e3184567e8ac
XSIZE (jasperserver-3.5.0-src.zip) = 113380131
XSHA256 (jasperserver-3.5.0-maven-repository.tar.gz) = c6ab3c7e0a3375d2e0c50cfc35503e8f1df1e4e69b15cee050388b1e2249f54d
XSIZE (jasperserver-3.5.0-maven-repository.tar.gz) = 153649123
bf502d8b6ec722674e88d78d44e85a79
exit

-- 
Jason Helfman
System Administrator
experts-exchange.com
http://www.experts-exchange.com/M_4830110.html
E4AD 7CF1 1396 27F6 79DD  4342 5E92 AD66 8C8C FBA5
Comment 14 ohauer 2011-01-24 00:29:33 UTC
On 2011-01-23 02:22, Jason Helfman wrote:
> I have updated this port so doesn't download during the build.
> Builds clean in tinderbox.
> Please re-consider re-evalutating this port.
> 
> Thanks!
> Jason

Hi Jason,

looks good to me, but I have some small changes ...

- moved the test for existing ~/.m2 into a pre-extract: section
  and test there additional if .m2 is maybe a link.
  (If a link is present it is saver to stop then override an existing custom link)

- swapped "tar ... && ln -s" to "ln -s && tar ..."
  else it can happen you end with a link to ${WRKSRC}/.m2/.m2

- replaced /root/.m2 and ${HOME}/.m2 with ~/
  which points every time to the right location.
  (A small test script is in the uploaded tar file, test it as root, with/without
  sudo and with/without 'Defaults env_keep += "HOME"' in sudoers.

- removed OPTION MYSQL
  It is the only database at the moment and if deselected install stops with
this error

BUILD SUCCESSFUL
Total time: 4 seconds
install: /jasperserverCreate-.ddl: No such file or directory
*** Error code 71

Stop in /usr/ports/databases/jasperserver.
*** Error code 1

Stop in /usr/ports/databases/jasperserver.

I've uploaded only the changed Makefile
http://people.freebsd.org/~ohauer/diffs/PR_150208_jasperserver_Makefile_2011-01-24
and as bz2 in case the custom DOS2UNIX expression is mangled
http://people.freebsd.org/~ohauer/diffs/PR_150208_jasperserver_Makefile_2011-01-24.bz2

Additional the small test script for "~/"
http://people.freebsd.org/~ohauer/diffs/PR_150208_jasperserver_home-test
Comment 15 Olli Hauer freebsd_committer 2011-01-24 00:29:46 UTC
State Changed
From-To: suspended->feedback

I'll take it back, 


Comment 16 Olli Hauer freebsd_committer 2011-01-24 00:29:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ohauer
Comment 17 jhelfman 2011-01-24 17:23:04 UTC
Hi Olli,

On Mon, Jan 24, 2011 at 01:29:33AM +0100, olli hauer thus spake:
>On 2011-01-23 02:22, Jason Helfman wrote:
>- removed OPTION MYSQL
>  It is the only database at the moment and if deselected install stops with
>this error

Although it is the only database option at the moment, I plan on adding
postgresql very soon, however if no datbase is installed the application
will fail to properly function.

My original port had a database defined check under the check-santity
target, respectively, to ensure there was at least one database defined. I
don't recall the original reason why this was removed, however I do recall I
had a response similar to one I have now.

I will certainly support no databases selected, if you like, however I don't 
believe this is the best route with this application. It will build, but
fail to work.

All other changes make sense to me, and thank you for such a timely response
on bringing this PR back to life.

>
>BUILD SUCCESSFUL
>Total time: 4 seconds
>install: /jasperserverCreate-.ddl: No such file or directory
>*** Error code 71
>
>Stop in /usr/ports/databases/jasperserver.
>*** Error code 1
>
>Stop in /usr/ports/databases/jasperserver.
>
>I've uploaded only the changed Makefile
>http://people.freebsd.org/~ohauer/diffs/PR_150208_jasperserver_Makefile_2011-01-24
>and as bz2 in case the custom DOS2UNIX expression is mangled
>http://people.freebsd.org/~ohauer/diffs/PR_150208_jasperserver_Makefile_2011-01-24.bz2
>
>Additional the small test script for "~/"
>http://people.freebsd.org/~ohauer/diffs/PR_150208_jasperserver_home-test
>
>
>

-- 
Jason Helfman
System Administrator
experts-exchange.com
http://www.experts-exchange.com/M_4830110.html
E4AD 7CF1 1396 27F6 79DD  4342 5E92 AD66 8C8C FBA5
Comment 18 Olli Hauer freebsd_committer 2011-01-24 20:06:13 UTC
On 2011-01-24 18:23, Jason Helfman wrote:
> Hi Olli,
> 
> On Mon, Jan 24, 2011 at 01:29:33AM +0100, olli hauer thus spake:
>> On 2011-01-23 02:22, Jason Helfman wrote:
>> - removed OPTION MYSQL
>>  It is the only database at the moment and if deselected install stops with
>> this error
> 
> Although it is the only database option at the moment, I plan on adding
> postgresql very soon, however if no datbase is installed the application
> will fail to properly function.

good to know ;)

> My original port had a database defined check under the check-santity
> target, respectively, to ensure there was at least one database defined. I
> don't recall the original reason why this was removed, however I do recall I
> had a response similar to one I have now.
> 
> I will certainly support no databases selected, if you like, however I don't
> believe this is the best route with this application. It will build, but
> fail to work.

Yes, if I remember it was in the first shoot of the port until postgresql was
removed. At this point It makes no sense to keep an option which leads to
problems if deselected. In this case it is better to remove the MYSQL option
and make MYSQL mandatory for the moment.

See it this way, the time you have a working postgres or other database support
available you can add MYSQL plus the new database as option and bump PORTREVISION.

I think the port is fine in this state and if you agree ready for commit.

--
olli
Comment 19 jhelfman 2011-01-24 20:21:04 UTC
On Mon, Jan 24, 2011 at 09:06:13PM +0100, Olli Hauer thus spake:
>I think the port is fine in this state and if you agree ready for commit.
>

Agreed. :)

-- 
Jason Helfman
System Administrator
experts-exchange.com
http://www.experts-exchange.com/M_4830110.html
E4AD 7CF1 1396 27F6 79DD  4342 5E92 AD66 8C8C FBA5
Comment 20 dfilter freebsd_committer 2011-01-24 22:48:53 UTC
ohauer      2011-01-24 22:48:48 UTC

  FreeBSD ports repository

  Modified files:
    databases            Makefile 
  Added files:
    databases/jasperserver Makefile distinfo pkg-descr pkg-plist 
    databases/jasperserver/files 
                                 patch-jasperserver__jasperserver-war__src__main__webappAdditions__WEB-INF__web.xml 
                                 pkg-message.in 
  Log:
  JasperServer is a business intelligence platform based on JasperReports.
  It is a Web and Web services based application for reporting, data analysis
  (OLAP UI and server) and data integration.
  
  WWW: http://jasperforge.org/projects/jasperserver
  
  PR:             ports/150208
  Submitted by:   Jason Helfman
  Feature safe:   yes
  
  Revision  Changes    Path
  1.945     +1 -0      ports/databases/Makefile
  1.1       +179 -0    ports/databases/jasperserver/Makefile (new)
  1.1       +4 -0      ports/databases/jasperserver/distinfo (new)
  1.1       +11 -0     ports/databases/jasperserver/files/patch-jasperserver__jasperserver-war__src__main__webappAdditions__WEB-INF__web.xml (new)
  1.1       +23 -0     ports/databases/jasperserver/files/pkg-message.in (new)
  1.1       +5 -0      ports/databases/jasperserver/pkg-descr (new)
  1.1       +950 -0    ports/databases/jasperserver/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 21 Olli Hauer freebsd_committer 2011-01-24 23:04:55 UTC
State Changed
From-To: feedback->closed

Committed, 
Thanks!